# $Revision: 1.8 $, $Date: 2005/07/27 21:52:32 $
#
# Conditional build:
%bcond_with	tests		# perform "make test" (interactive)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadPassword
Summary:	Term::ReadPassword - asking the user for a password
Summary(pl):	Term::ReadPassowrd - pytanie uytkownika o haso
Name:		perl-Term-ReadPassword
Version:	0.05
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	34a61a0ede9a1057685fa80c76ff9e54
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Term::ReadLine)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module lets you ask the user for a password in the traditional
way, from the keyboard, without echoing.

%description -l pl
Ten modu pozwala zapyta uytkownika o haso w tradycyjny sposb - z
klawiatury, bez echa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Term/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ReadPassword.spec,v $
Revision 1.8  2005/07/27 21:52:32  radek
- version 0.05

Revision 1.7  2005/05/29 16:26:39  petec
- s/uo/to in Log section

Revision 1.6  2005/05/29 16:18:30  petec
- up to 0.04

Revision 1.5  2004/12/12 10:35:31  adamg
- updated to 0.02

Revision 1.4  2004/11/03 22:30:47  paladine
- formatting

Revision 1.3  2004/10/31 22:45:36  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/05/08 12:03:07  qboosh
- pl, other fixes

Revision 1.1  2004/05/07 21:34:57  radek
- new
